AMDGPU.jl

AMD GPU (ROCm) programming in Julia

Requirements

  • Julia 1.9+ (Navi 3 GPUs require Julia 1.10 or higher).
  • ROCm 5.3 - 6.0, which means only GPUs that are supported by these versions will work.
  • 64-bit Linux and Windows are supported, see requirements section in the docs.

Quick start

AMDGPU.jl can be installed with the Julia package manager. From the Julia REPL, type ] to enter the Pkg REPL mode and run:

pkg> add AMDGPU

Or, equivalently, via the Pkg API:

julia> import Pkg; Pkg.add("AMDGPU")

Testing

To ensure that everything is working you can run tests for the package with

pkg> test AMDGPU

Or specifying a subset of tests to run:

julia> using Pkg

julia> Pkg.test("AMDGPU"; test_args=["core", "kernelabstractions"])

Full list of tests to run can be obtained with --list argument:

julia> Pkg.test("AMDGPU"; test_args=["--list"])

Questions and Contributions

Usage questions can be posted on the Julia Discourse forum under the GPU domain and/or in the #gpu channel of the Julia Slack.

Contributions are very welcome, as are feature requests and suggestions. Please open an issue if you encounter any problems.

Acknowledgment

AMDGPU would not have been possible without the work by Tim Besard and contributors to CUDA.jl and LLVM.jl.

License

AMDGPU.jl is licensed under the MIT License.